=== debian/changelog ===
check (0.15.2-3) unstable; urgency=medium

  * d/changelog: fix typos
  * d/control: depend on pkgconf instead of pkg-config
  * d/control: bump std-version to 4.7.0 (no further changes)
  * d/copyright: bump year
  * d/patches: close verbatim environment in tex file (Closes: #1092959)
  * d/salsa-ci.yml: enable build-twice job
  * d/watch: adjust to GitHub API change

 -- Christian Göttsche <cgzones@googlemail.com>  Tue, 14 Jan 2025 00:39:04 +0100

check (0.15.2-2) unstable; urgency=medium

  * d/{rules,patches}: adjust test suite for PowerPC and drop dh_auto_test
    workaround (Closes: #951667)
  * d/rules: drop default configure options
  * d/{control,rules}: force usage of mawk at configure time instead of
    build-conflicting with gawk

 -- Christian Göttsche <cgzones@googlemail.com>  Mon, 18 Jan 2021 19:11:46 +0100

check (0.15.2-1) unstable; urgency=medium

  * New upstream version 0.15.2

  * d/control: set myself as maintainer (Closes: #964977)
  * d/{control,compat,rules}: switch to debhelper compat level 13
  * d/control:
    - bump std-version to 4.5.1 (no further changes)
    - drop dependency fulfilled since jessie
    - run wrap-and-sort
    - add Vcs fields
  * d/patches:
    - rebase
    - add patch to correct misspelling
    - add patch to remove testsuite result files
  * d/rules:
    - drop unneeded dh option '--buildsystem=autoconf --with autoreconf'
    - break configure lines
    - ignore intentional no-format-extra-args warnings
    - permit auto-test failures on powerpc and ppc64 (Related-to: #951667)
  * debian: cleanup unnecessary .dirs and .files items
  * d/tests: add simple autopkgtest
  * d/copyright:
    - update
    - add Upstream-Contact
  * d/watch: bump to version 4
  * d/clean: remove generated file to build twice
  * d/upstream/metadata: add basic data
  * d/README.Debian: drop ancient upgrade notice

 -- Christian Göttsche <cgzones@googlemail.com>  Tue, 05 Jan 2021 22:10:33 +0100
