=== debian/control ===
Source: check
Section: devel
Priority: optional
Maintainer: Christian Göttsche <cgzones@googlemail.com>
Build-Depends: debhelper-compat (= 13),
               libsubunit-dev,
               mawk,
               patchutils,
               pkgconf,
               texinfo
Standards-Version: 4.7.0
Homepage: https://libcheck.github.io/check/
Vcs-Git: https://salsa.debian.org/cgzones/check.git
Vcs-Browser: https://salsa.debian.org/cgzones/check
Rules-Requires-Root: no

Package: check
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libsubunit-dev, mawk, ${misc:Depends}
Description: unit test framework for C
 Check features a simple interface for defining unit tests, putting
 little in the way of the developer. Tests are run in a separate
 address space, so Check can catch both assertion failures and code
 errors that cause segmentation faults or other signals. The output
 from unit tests can be used within source code editors and IDEs.
