## check api-1.1.4-1-any.pkg

=== lib/node_modules/check_api/node_modules/typescript-compiler/Makefile ===
build:
	@echo "  Building..."
	@cp src/typescript/bin/lib.* lib/
	@node ./src/typescript/bin/tsc.js -m commonjs -t ES5 src/index.ts --out index.js
	@echo "  Done!"

.PHONY: build
