## check bioctl-0.1

=== Makefile ===
PROG=	check_bioctl
OBJS=	check_bioctl.o

all: $(PROG)

$(PROG): $(OBJS)
	$(CC) -o $(PROG) $(OBJS)

clean:
	rm -f *.o *.core $(PROG)
