## check config-0.8.5

=== docs/requirements.txt ===
mkdocs
mkdocstrings
mkdocs-gen-files
mkdocs-literate-nav
mkdocs-material
