## check config-0.9.10

=== docs/requirements.txt ===
mkdocs
mkdocstrings
mkdocs-gen-files
mkdocs-literate-nav
mkdocs-material
markdown-include
